------------------------------------------------------------------
-- |
-- Program     :  idltestlex
-- Copyright   :  (c) Dmitry Golubovsky, 2009
-- License     :  BSD-style
-- 
-- Maintainer  :  golubovsky@gmail.com
-- Stability   :  experimental
-- Portability :  portable
-- 
--
--
-- Test the IDL lexer
------------------------------------------------------------------

module Main where

import Language.WebIDL.Lexer

import Prelude hiding (putStrLn)
import Control.Monad
import System.Exit
import System.IO.UTF8

showToken t = "Token {tag = " ++ show (tag t) ++
                    ",line = " ++ show (line t) ++
                    ",column = " ++ show (column t) ++
                    ",name = " ++ name t ++ "}"

main = do
  forever $ do z <- pickToken
               putStrLn (showToken z)
               when (tag z == 0) exitSuccess

